UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Explorer
Explorer
570 Views
Registered: ‎04-19-2018

Petalinux install problems

Jump to solution

I wanted to install the Petalinux tools in Ubuntu 18.04

First I noticed the installer (run file) is not executable and UG1144 mentions:

For example: To install PetaLinux tools under /opt/pkg/petalinux/2019.1:
$ mkdir -p /opt/pkg/petalinux/2019.1
$ ./petalinux-v2019.1-final-installer.run /opt/pkg/petalinux/2019.1
Note: Do not change the installer permissions to CHMOD 775 as it can cause BitBake errors

So how can I run it? I changed it to 754 and ran it but came with an error "cannot extract installer"

Could it be related to that I downloaded the installer to a windows machine then moved it to a VM with Linux?

1 Solution

Accepted Solutions
Participant sarahleony
Participant
442 Views
Registered: ‎08-31-2018

Re: Petalinux install problems

Jump to solution

I also came across this problem and the info in this link fixed it for me:

https://blog.lazy-evaluation.net/posts/linux/petalinux-v2019.1-ubuntu-18.04.html

 

7 Replies
Moderator
Moderator
513 Views
Registered: ‎03-25-2019

Re: Petalinux install problems

Jump to solution

Hi @satguy,

Could you please check if you have installed all the required packages as mentioned in UG1144.
The error you get could be related to a missing package, please refer to this thread.

Best regards,
Abdallah
-------------------------------------------------------------------------------
Please don't forget to reply, kudo and accept as a solution
0 Kudos
Explorer
Explorer
478 Views
Registered: ‎04-19-2018

Re: Petalinux install problems

Jump to solution

Yes, I ran:

sudo apt-get install -y gcc git make net-tools libncurses5-dev tftpd zlib1g-dev libssl-dev flex
bison libselinux1 gnupg wget diffstat chrpath socat xterm autoconf libtool tar unzip texinfo
zlib1g-dev gcc-multilib build-essential -dev zlib1g:i386 screen pax gzip

same as in UG1144

0 Kudos
Scholar watari
Scholar
465 Views
Registered: ‎06-16-2013

Re: Petalinux install problems

Jump to solution

Hi @satguy 

 

I guess it seems dash issue.

Would you run the following command to install petalinux ?

 

$ bash ./petalinux-v2019.1-final-installer.run /opt/pkg/petalinux/2019.1

 

Best regards,

0 Kudos
Participant sarahleony
Participant
443 Views
Registered: ‎08-31-2018

Re: Petalinux install problems

Jump to solution

I also came across this problem and the info in this link fixed it for me:

https://blog.lazy-evaluation.net/posts/linux/petalinux-v2019.1-ubuntu-18.04.html

 

Moderator
Moderator
409 Views
Registered: ‎03-25-2019

Re: Petalinux install problems

Jump to solution

As mentioned in this thread, have you double checked it you have installed the gawk package?

Best regards,
Abdallah
-------------------------------------------------------------------------------
Please don't forget to reply, kudo and accept as a solution
Explorer
Explorer
353 Views
Registered: ‎04-19-2018

Re: Petalinux install problems

Jump to solution
@watari
yes, I did that
0 Kudos
Explorer
Explorer
270 Views
Registered: ‎04-19-2018

Re: Petalinux install problems

Jump to solution

Thanks to the solution provided I could finally install it.

Weird that a problem from 2016 is not updated in the docs by 2019...

There was this message during the install, I wonder if I got the installer corrupted, or is something I can ignore or not:

INFO: Checking installation environment requirements...
WARNING: This is not a supported OS
INFO: Checking free disk space
INFO: Checking installed tools
environment: line 305: ((: 10#30+ > 10#24: syntax error: operand expected (error token is "> 10#24")
environment: line 309: ((: 10#30+ < 10#24: syntax error: operand expected (error token is "< 10#24")
INFO: Checking installed development libraries
INFO: Checking network and other services
INFO: Checking installer checksum...
INFO: Extracting PetaLinux installer...

LICENSE AGREEMENTS
0 Kudos